% Integrador Numerico - formula do retangulo para F real
function Z1 = Retangulo(t,X0,Func)

        Fstep = Func(t,X0);
        step = [0;t(2:end) - t(1:end-1)];
        Z1 = cumsum(step.*Fstep);
end